Package org.eclipse.ecf.provider.comm

# Interface IAsynchConnection

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IConnection`

All Known Subinterfaces:
  `ISynchAsynchConnection`

All Known Implementing Classes:
  `Client`, `SSLClient`

public interface IAsynchConnection extends IConnection
Asynchronous connection

## Method Summary

Modifier and Type
Method
Description
`void`
`sendAsynch(ID receiver, byte[] data)`
Send data asynchronously.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnection

`addListener, connect, disconnect, getLocalID, getProperties, isConnected, isStarted, removeListener, start, stop`

## Method Details

### sendAsynch

void sendAsynch(ID receiver, byte[] data) throws IOException
Send data asynchronously. Implementing classes should not block on sending the given data and return immediately.

Parameters:
  `receiver` - the ID of the intended receiver
  `data` - the data to send
Throws:
  `IOException` - thrown if data cannot be sent (e.g. disconnected)